| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csNormalizationCubeAccessor Class Reference

Shader variable accessor for a normalization cubemap. More...

`#include <csplugincommon/render3d/normalizationcube.h>`

Inheritance diagram for csNormalizationCubeAccessor:

[legend]
List of all members.

## Public Member Functions
| csNormalizationCubeAccessor (iTextureManager *txtmgr, int sideSize)
| Create new accessor.
virtual void | PreGetValue (csShaderVariable *variable)
| Called before the value of the attached SV is returned.

## Detailed Description

Shader variable accessor for a normalization cubemap.

Definition at line 36 of file normalizationcube.h.

## Constructor & Destructor Documentation

csNormalizationCubeAccessor::csNormalizationCubeAccessor | ( | iTextureManager * | txtmgr,
|  | int | sideSize |
| ) |  |  |

Create new accessor.

Parameters:

  | txtmgr | The texture manager to register the texture with.
  | sideSize | Size of a cube map edge.

## Member Function Documentation

virtual void csNormalizationCubeAccessor::PreGetValue | ( | csShaderVariable * | variable | ) | `[virtual]`

Called before the value of the attached SV is returned.

Implements iShaderVariableAccessor.

The documentation for this class was generated from the following file:

- csplugincommon/render3d/normalizationcube.h